#ifndef XFXEFFECTDEF_H
#define XFXEFFECTDEF_H

#include "xasset.h"
#include "xfxelemdef.h"

class XFxEffectDef : public XAsset
{
public:
    explicit XFxEffectDef();
    ~XFxEffectDef();

    void Clear() override;
    void ParseData(XDataStream *aStream) override;

private:
    XString mName;
    int mFlags;
    int mTotalSize;
    int mMsecLoopingLife;
    int mElemDefCountLooping;
    int mElemDefCountOneShot;
    int mElemDefCountEmission;
    QVector<XFxElemDef> mElemDefs;
};

#endif // XFXEFFECTDEF_H
